/* this file is a part of amp software

	util.c: created by Andrew Richards

*/

#include <windows.h>
#define AMP_UTIL
#include "amp.h"

#include <stdio.h>
#include <stdarg.h>
#include <string.h>

#include "audio.h"
#include "getbits.h"

void die(char *fmt, ...) {
	va_list ap;
	va_start(ap,fmt);
	vfprintf(stderr, fmt, ap);
	ExitProcess(-1);
}

void warn(char *fmt, ...) {
	va_list ap;
	va_start(ap,fmt);
	if (!A_QUIET) {
		fprintf(stderr,"Warning: ");
		vfprintf(stderr, fmt, ap);
	}
}

void msg(char *fmt, ...) {
	va_list ap;
	va_start(ap,fmt);
 
	if (!A_QUIET)
	  if (A_MSG_STDOUT) {
	    vfprintf(stdout, fmt, ap);
	    fflush(stdout);
	  } else {
	    vfprintf(stderr, fmt, ap);
	    fflush(stderr);
	  }
}

void show_header(struct AUDIO_HEADER *header)
{
int bitrate=t_bitrate[header->ID][3-header->layer][header->bitrate_index];
int fs=t_sampling_frequency[header->ID][header->sampling_frequency];
int mpg,layer;
char stm[8];
	if (A_QUIET) return;
	layer=4-header->layer;
	if (header->ID==1) mpg=1;
	else mpg=2;
	if (header->mode==3) lstrcpy(stm,"mono");
	else lstrcpy(stm,"stereo");

	printf("\nProperties:    %s %dHz\n"
			"Coding Method: MPEG%1d.0 layer%1d\n"
			"Bitrate:       %dkbit/s\n",stm,fs,mpg,layer,bitrate);
}